<?php

declare(strict_types=1);

namespace App\Service;

use Doctrine\ORM\EntityManager;
use Psr\Container\ContainerInterface;

class YearManagerFactory
{
    public function __invoke(ContainerInterface $container): YearManager
    {
        $entityManager = $container->get(EntityManager::class);
        return new YearManager($entityManager);
    }
}
